"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.trackPageDefaultSubscription = void 0;
exports.trackPageDefaultSubscription = 'type = "page"';
const action = {
    title: 'Track Page',
    description: 'Record when a user visits a page.',
    platform: 'web',
    defaultSubscription: exports.trackPageDefaultSubscription,
    fields: {
        properties: {
            type: 'object',
            required: false,
            description: 'Hash of properties for this page view.',
            label: 'Page Properties',
            default: {
                '@path': '$.properties'
            }
        }
    },
    perform: (saq, { settings, payload }) => {
        const pixelId = settings.universalPixelId;
        const properties = payload.properties ?? {};
        saq('ts', pixelId, properties);
    }
};
exports.default = action;
//# sourceMappingURL=index.js.map